=== debian/changelog ===
lambdamoo (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Made initscript and cron.weekly #!/bin/sh scripts again, using the
    POSIX compliant "." replacement for "source".
  * Made /etc/moos.conf the effective config file.
  * Now supports multiple moos in the config file.

 -- Jonathan Walther <krooger@debian.org>  Thu, 13 Jan 2000 23:31:23 -0800

lambdamoo (1.8.0r6-4) unstable; urgency=low

  * Changed #!/bin/sh to #!/bin/bash in initscript and cron.weekly so use of "source" is not a bug.

 -- Jonathan Walther <krooger@debian.org>  Sat, 20 Nov 1999 17:20:56 -0800

lambdamoo (1.8.0r6-3) unstable; urgency=low

  * Fixed bug 40147, wrong address in documentation for moo-cows mailing list.

 -- Jonathan Walther <krooger@debian.org>  Sat, 26 Jun 1999 18:26:02 -0700

lambdamoo (1.8.0r6-2) unstable; urgency=low

  * Fixed a few typos

 -- Jonathan Walther <krooger@debian.org>  Sat, 24 Apr 1999 23:09:50 -0700

lambdamoo (1.8.0r6-1) unstable; urgency=low

  * Newest version of the Rogue server.
  * Accepting new maintainership from Joey Hess

 -- Jonathan Walther <krooger@debian.org>  Thu, 15 Apr 1999 22:20:36 -0700

lambdamoo (1.8.0r5-9) frozen unstable; urgency=low

  * Provide full path to start-stop-daemon since user deamon does not have
    it in its path. This bug prevents lambdamoo from starting and the fix
    is trivial so I'd like to get it into frozen.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  5 Jan 1999 14:03:38 -0800

lambdamoo (1.8.0r5-8) frozen unstable; urgency=medium

  * In init script, redirect stdin, out, and err to /dev/null. Should fix
    critical bug #23314.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 13 Jun 1998 16:11:50 -0700

lambdamoo (1.8.0r5-7) unstable; urgency=low

  * Fixed lintian errors.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 12 Mar 1998 22:05:15 -0800

lambdamoo (1.8.0r5-6) unstable; urgency=low

  * Added a \n after "TIMEOUT!" message in init script.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 11 Feb 1998 10:26:23 -0800

lambdamoo (1.8.0r5-5) unstable; urgency=low

  * Added a man page for lambdamoo.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 16:56:32 -0800

lambdamoo (1.8.0r5-4) unstable; urgency=low

  * Added force-reload to init script.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Feb 1998 12:54:29 -0800

lambdamoo (1.8.0r5-3) unstable; urgency=low

  * Modified init script to cd / before running lambdamoo, since lambdamoo
    itself doesn't do it.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 28 Jan 1998 19:47:41 -0800

lambdamoo (1.8.0r5-2) unstable; urgency=low

  * Modified init script to pass --name to start-stop-daemon.
  * Added md5sums file back in.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 18 Nov 1997 20:20:19 -0500

lambdamoo (1.8.0r5-1) unstable; urgency=low

  * New upstream release (see README.r5 for details).

 -- Joey Hess <joeyh@master.debian.org>  Wed,  1 Oct 1997 22:36:52 -0400

lambdamoo (1.8.0p6-8) unstable; urgency=high

  * Fix permissions of core database files in /var/lib/lambdamoo/ so they
    cannot be read by others. (Before, it was possible to get wizard on the
    moo by loading up a core file in emergency mode.)
  * Added man page for lambdamoo (#13512).
  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 30 Sep 1997 18:31:09 -0400

lambdamoo (1.8.0p6-7) unstable; urgency=low

  * Clarified package description (#13173).
  * Replaced debstd generated server start and stop scripts with
    hand-written scripts that only stop it if it is actually running.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 19 Sep 1997 12:20:29 -0400

lambdamoo (1.8.0p6-6) unstable; urgency=low

  * Fixed #12580, unchecked prompting in postinst.
  * Use lambdamoo-core, lambdamoo-server virtual packages.
  * Changed how lambdamoo determines which database to use: lambdamoo-core
    packages now will use update-alternatives to provide 
    /var/lib/lambdamoo/moo.db . Added README.debian explaining this.
  * Init script uses a proper pid file now - much safer than before.
  * Use -l in init script to make lambdamoo output to log file.
  * Run lambdamoo as user daemon.
  * Routine update of debian/rules:
    Added build to .PHONY

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Sep 1997 13:16:28 -0400

lambdamoo (1.8.0p6-5) unstable; urgency=low

  * Rebuilt with glibc6.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Jun 1997 16:59:11 -0400

lambdamoo (1.8.0p6-4) unstable; urgency=medium

  * Fixed call to start-stop-daemon.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 13 Jun 1997 12:55:40 -0400

lambdamoo (1.8.0p6-3) unstable; urgency=low

  * I've decided to enable OUTBOUND_NETWORK by default. If people think this
    poses too great a security risk, please let me know.
  * According to policy manual, I should remove logfiles on a purge. Do so.
  * Got rid of the startmoo program.
  * Fixed a race condition in the init script.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Jun 1997 20:37:59 -0400

lambdamoo (1.8.0p6-2) unstable; urgency=low

  * Lambdamoo no longer starts the minimal database by default. The minimal
    database is still included in the package, but only as a file in
    /usr/doc/lambdamoo/examples. I anticipate that very few people will ever
    want to use the minimal database. If there is any interest, I will
    consider splitting it out into a seperate package.
  * Added some code to the postinst to clean up minimal database files left
    behind by old versions of the package.
  * Lambdamoo no longer starts when it is installed, unless you have
    lambdacore or some other lambdamoo db already installed.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 15 May 1997 02:12:27 -0400

lambdamoo (1.8.0p6-1) unstable; urgency=low

  * New upstream release.
  * Corrected some dependancies:
  	* Only suggest tf, don't recommend it.
  	* Suggest lambdamoo-docs.
  * Fixed a problem that prevented the program from being stopped by

