=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	./configure
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean config.cache config.log config.status config.h Makefile moo
	./configure
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	install -d debian/tmp/usr/sbin
	install -s moo debian/tmp/usr/sbin/lambdamoo
	install -d debian/tmp/etc
	install -m 644 debian/lambdamoo.conf debian/tmp/etc/lambdamoo.conf
	install -d debian/tmp/var/lib/lambdamoo
	install -d debian/tmp/etc/init.d
	install -m 0755 debian/initscript debian/tmp/etc/init.d/lambdamoo
	dh_installdocs README* AddingNewMOOTypes.txt MOOCodeSequences.txt
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installchangelogs ChangeLog.txt
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
	chown daemon.daemon debian/tmp/var/lib/lambdamoo
	# This is so other's can't read the moo files to get wizard, etc.
	chmod 700 debian/tmp/var/lib/lambdamoo
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
