## lambdamoo 1.8.2-oops-1.8.1w2-1

=== Makefile ===
--- 
+++ 
@@ -14,13 +14,13 @@
 #   Palo Alto, CA 94304
 #   Pavel@Xerox.Com
 
-CC = gcc -Wall -Wwrite-strings 
+CC = gcc -g 
 LIBRARIES =  -lm -lcrypt
 YACC = bison -y
 
-#CFLAGS = -O
+CFLAGS = -O2 -static
 # If you're using GCC, you may prefer:
-CFLAGS = -O2 -finline-functions
+# CFLAGS = -O2 -finline-functions
 #
 # If you're not using GCC, and your compiler doesn't understand the
 # inline keyword, use the following.  (This will be fixed in autoconf2
@@ -40,6 +40,7 @@
 
 OPT_NET_SRCS = net_single.c net_multi.c \
 	net_mp_selct.c net_mp_poll.c net_mp_fake.c \
+	net_tcp.c \
 	net_bsd_tcp.c net_bsd_lcl.c net_sysv_tcp.c net_sysv_lcl.c
 
 OPT_NET_OBJS = $(OPT_NET_SRCS:.c=.o)
@@ -49,6 +50,7 @@
 YSRCS = parser.y
 
 HDRS =  ast.h bf_register.h code_gen.h db.h db_io.h db_private.h decompile.h \
+	db_tune.h \
 	disassemble.h eval_env.h eval_vm.h exceptions.h execute.h functions.h \
 	getpagesize.h keywords.h list.h log.h match.h md5.h name_lookup.h \
 	network.h net_mplex.h net_multi.h net_proto.h numbers.h opcode.h \
@@ -138,7 +140,7 @@
 	etags -t $(SRCS)
 
 clean:
-	rm -f $(OBJS) core y.tab.c y.tab.h y.output makedep eddep 
+	rm -f $(OBJS) $(OPT_NET_OBJS) core y.tab.c y.tab.h y.output makedep eddep
 
 distclean:	clean
 	rm -f config.h Makefile config.status
@@ -155,6 +157,13 @@
 
 ###############################################################################
 # $Log: Makefile.in,v $
+# Revision 1.8.10.1  2003/06/01 12:33:07  wrog
+# added net_tcp.c; (put db_tune.h in HDRS); ran makedepend
+#
+# Revision 1.8  2000/05/11 06:32:27  xythian
+# fixed bloody "suspicious line 293" emacs warning when saving Makefile.in
+# by tweaking quotes
+#
 # Revision 1.7  2000/01/11 01:54:05  nop
 # CFLAGS line for poor users without inline keyword.
 #
@@ -291,8 +300,8 @@
 # Revision 1.3  1992/07/27  18:30:21  pjames
 # Update what vector.o and vector.po depend on.
 ###############################################################################
-	
-# Have to do this one manually, since 'make depend' can't hack yacc files.
+
+# Have to do this one manually, since make depend cannot hack yacc files.
 parser.o:	my-ctype.h my-math.h my-stdlib.h my-string.h \
 		ast.h code_gen.h config.h functions.h \
 		keywords.h list.h log.h numbers.h opcode.h parser.h program.h \
@@ -329,8 +338,3 @@
 db_properties.o: db_properties.c config.h db.h program.h structures.h \
  my-stdio.h version.h db_private.h exceptions.h list.h storage.h \
  ref_count.h utils.h execute.h opcode.h options.h parse_cmd.h
-db_verbs.o: db_verbs.c my-stdlib.h config.h my-string.h db.h program.h \
- structures.h my-stdio.h version.h db_private.h exceptions.h db_tune.h \
- list.h log.h parse_cmd.h storage.h ref_count.h utils.h execute.h \
- opcode.h options.h
-decompile.o: decompile.c ast.h config.h parser.h program.h \
