=== debian/changelog ===
lambdamoo (1.8.2-oops-1.8.1w2-1) unstable; urgency=low
  
  * New upstream version; wRogs branch of the CVS source includes massive
    speedups in start time, fixes OOB handling, and adds the long-awaited
    option to make the server only listen on the specified IP address.
  * Added note to README.debian about how easy it is to chroot this server,
    due to it being statically linked.
  * Added recommendation to run in a chroot jail to the man page.

 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 11:54:13 -0700

lambdamoo (1.8.2-2) unstable; urgency=low
  
  * added Build-Depends for bison (Closes: #198057)

 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 2:31:32 -0700

lambdamoo (1.8.2-1) unstable; urgency=low

  * Removed configuration scheme entirely; daemontools is the best way to
    manage separate and individual servers.  (Closes: #60520, #62348, #98829)
  * cron entry to rotate logs no longer included (Closes: #93289)
  * Build-Depends for debhelper added (Closes: #190449)
  
 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 2:31:32 -0700

lambdamoo (1.8.2) unstable; urgency=low

  * New /etc/lambdamoo configuration scheme implemented
  * updated to be Debian Policy 3.5.6.1 compliant.
  
 -- Jonathan Walther <krooger@debian.org>  Sat, 22 Jun 2002 11:58:41 -0700

lambdamoo (1.8.1-2) unstable; urgency=low

  * Now creates a diff.gz and .orig.tar.gz instead of single tar.gz for
    source package
  
 -- Jonathan Walther <krooger@debian.org>  Tue, 18 Jan 2000 11:58:41 -0800
