=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Jonathan Walther <krooger@debian.org>
-Standards-Version: 3.1.1.1
+Build-Depends: bison, debhelper
+Standards-Version: 3.5.6.1
 
 Package: lambdamoo
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: lambdamoo-server
 Recommends: lambdamoo-core
-Suggests: tf, lambdamoo-docs
+Suggests: tf, lambdamoo-docs, daemontools-installer
 Replaces: lambdamoo
 Description: a server for an online multiuser virtual world
  Lambdamoo is a server for a virtual world, a computer program which users
