=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: 
	dh_testdir
	./configure
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean config.cache config.log config.status config.h Makefile moo
	./configure
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: 
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	install -d debian/tmp/usr/sbin
	install -s moo debian/tmp/usr/sbin/lambdamoo
	dh_installdocs README* AddingNewMOOTypes.txt MOOCodeSequences.txt
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installchangelogs ChangeLog.txt
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
